package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Author：杨鹏
 * @Package：com.bwie.auth.feign
 * @Project：yp_yuekao812
 * @name：UserFeign
 * @Date：2024/8/12 9:52
 */
@FeignClient(value = "bwie-user")
public interface UserFeign {

    /**
     * 登录信息验证
     */
    @PostMapping("user/login")
    public Result<User> login(@RequestBody User user);

    /**
     * 登录信息验证 用户手机号
     */
    @PostMapping("user/listUserPhone")
    public Result<User> listUserPhone(@RequestBody User user);

    /**
     * 注册
     */
    @PostMapping("user/addUser")
    public Result<Integer> addUser(@RequestBody User user);

}
