package com.bwie.es;

import com.bwie.es.sync.ProductSync;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

import javax.annotation.PostConstruct;

/**
 * @Author：杨鹏
 * @Package：com.bwie.es
 * @Project：yp_yuekao812
 * @name：EsApplication
 * @Date：2024/8/12 11:51
 */
@Log4j2
@EnableFeignClients
@SpringBootApplication
public class EsApplication {

    public static void main(String[] args) {
        SpringApplication.run(EsApplication.class);
    }

    @Autowired
    private ProductSync productSync;

    @PostConstruct
    public void cons(){
        //	项目启动时需要把数据初始化到ES当中（4分）
        log.info("ES项目已启动,开始同步.....");
        productSync.productSync();
    }

}
