package com.bwie.es.controller;

import com.bwie.common.domain.Product;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.es.service.EsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.es.controller
 * @Project：yp_yuekao812
 * @name：EsController
 * @Date：2024/8/12 13:35
 */
@RestController
@RequestMapping("es")
public class EsController {

    @Autowired
    private EsService esService;

    /**
     * es列表查询
     */
    @PostMapping("listProduce")
    public Result<PageResult<Product>> listProduce(@RequestBody Product product){
        return esService.listProduce(product);
    }

    /**
     * es列表添加
     */
    @PostMapping("addProduce")
    public void addProduce(@RequestBody Product product){
        esService.addProduce(product);
    }

    /**
     * es列表修改
     */
    @PostMapping("updProduce")
    public void updProduce(@RequestBody Product product){
        esService.updProduce(product);
    }

}
