package com.bwie.es.feign.factory;

import com.bwie.common.domain.Product;
import com.bwie.common.result.Result;
import com.bwie.es.feign.ProductFeign;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.es.feign.factory
 * @Project：yp_yuekao812
 * @name：ProductFeignFactpry
 * @Date：2024/8/12 11:53
 */
public class ProductFeignFactory implements FallbackFactory<ProductFeign> {
    @Override
    public ProductFeign create(Throwable cause) {
        return new ProductFeign() {
            @Override
            public Result<List<Product>> listProduct() {
                return Result.error(cause.getMessage());
            }
        };
    }
}
