package com.bwie.es.sync;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Product;
import com.bwie.common.result.Result;
import com.bwie.es.feign.ProductFeign;
import com.bwie.es.service.EsService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.es.sync
 * @Project：yp_yuekao812
 * @name：ProductSync
 * @Date：2024/8/12 12:01
 */
@Log4j2
@Component
public class ProductSync {

    @Autowired
    private EsService esService;

    @Autowired
    private ProductFeign productFeign;

    public void productSync(){

        try {
            log.info("es同步已经开始...,正在从数据库中读取数据");
            Result<List<Product>> listResult = productFeign.listProduct();
            List<Product> productList = listResult.getData();
            log.info("es同步正在进行中...,从数据库中读取数据完毕,数据为{}", JSONObject.toJSONString(productList));
//            esService.del();
            log.info("es同步正在进行中...,正在将数据同步到es中");
            esService.adds(productList);
            log.info("es同步已经结束...,es数据同步已完成");
        } catch (Exception e) {
            log.info("es同步报错...,报错原因为:{}",e.getMessage());
        }
    }

}
