package com.bwie.product.mapper;

import com.bwie.common.domain.Instant;
import com.bwie.common.domain.Product;
import com.bwie.common.domain.Shopping;
import com.bwie.common.domain.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.product.mapper
 * @Project：yp_yuekao812
 * @name：ProductMapper
 * @Date：2024/8/12 11:13
 */
@Mapper
public interface ProductMapper {

    List<Product> listProduct();


    /**
     * 查询秒杀规则列表
     */
    List<Instant> listInstant(Instant instant);

    /**
     * 添加秒杀规则列表
     */
    Integer addInstant(Instant instant);

    /**
     * 查询购物车
     */
    List<Shopping> listShopping();

    /**
     * 查询购物车中是否有该商品
     */
    Product listProductId(Long productId);

    /**
     * 如购物车当中有此商品则购物车商品数量
     */
    Integer updShopping(Shopping shopping);

    /**
     * 添加购物车
     */
    Integer addShopping(Shopping shopping);

    /**
     * 查询购物车中的商品
     */
    Shopping listShoppingId(String shoppingId);

    /**
     * 删除购物车中的商品
     */
    void delShoppingId(String shoppingId);

    /**
     * 修改商品的数量
     */
    void updProduct(Shopping shopping);

    /**
     * 扣除用户余额
     */
    void updUser(User user1);

    Shopping listShoppingProdcutId(Long productId);

}
