package com.bwie.product.service;

import com.bwie.common.domain.Instant;
import com.bwie.common.domain.Product;
import com.bwie.common.domain.Shopping;
import com.bwie.common.domain.response.ProductResp;
import com.bwie.common.result.Result;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.product.service
 * @Project：yp_yuekao812
 * @name：ProductService
 * @Date：2024/8/12 11:13
 */
public interface ProductService {

    /**
     * 查询数据
     */
    List<Product> listProduct();


    /**
     * 查询秒杀规则列表
     */
    Result listInstant(Instant instant);


    /**
     * 添加秒杀规则列表
     */
    Result addInstant(Instant instant);

    /**
     * 查询购物车
     */
    Result listShopping();

    /**
     * 添加购物车
     */
    Result addShopping(Shopping shopping);

    /**
     * 购物车结算
     */
    Result payment(ProductResp resp);

}
