package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：杨鹏
 * @Package：com.bwie.user.controller
 * @Project：yp_yuekao812
 * @name：UserController
 * @Date：2024/8/12 9:45
 */
@RestController
@RequestMapping("user")
public class UserController {

    @Autowired
    private UserService userService;

    /**
     * 登录信息验证 用户名
     */
    @PostMapping("login")
    public Result<User> login(@RequestBody User user){
        return Result.success(userService.login(user));
    }

    /**
     * 注册
     */
    @PostMapping("addUser")
    public Result<Integer> addUser(@RequestBody User user){
        return Result.success(userService.addUser(user));
    }

    /**
     * 登录信息验证 用户手机号
     */
    @PostMapping("listUserPhone")
    public Result<User> listUserPhone(@RequestBody User user){
        return Result.success(userService.listUserPhone(user));
    }

}
