package com.bwie.user.service.impl;

import com.bwie.common.domain.User;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author：杨鹏
 * @Package：com.bwie.user.service.impl
 * @Project：yp_yuekao812
 * @name：UserServiceImpl
 * @Date：2024/8/12 9:44
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserMapper userMapper;

    /**
     * 登录信息验证
     */
    @Override
    public User login(User user) {
        return userMapper.login(user.getUserName());
    }

    /**
     * 注册
     */
    @Override
    public Integer addUser(User user) {
        return userMapper.addUser(user);
    }

    /**
     * 登录信息验证 用户手机号
     */
    @Override
    public User listUserPhone(User user) {
        return userMapper.listUserPhone(user.getUserPhone());
    }
}
